> For the complete documentation index, see [llms.txt](https://docs.mastersoftgroup.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mastersoftgroup.com/loqate-harmony-api/api-specification/deprecated/address-v1-3.md).

# Address Types

{% hint style="danger" %}
These methods have been deprecated.&#x20;

We recommend you upgrade your service to the latest [Address Validation method](/loqate-harmony-api/api-specification/address/address-validation-and-lookup.md). Upgrade at no cost and improved performance.
{% endhint %}

## Address type methods (AU/NZ)

Address type methods provide address type information from a specific Source of Truth.

| [floorLevel](#address)  | Retrieves the floor level types.   |
| ----------------------- | ---------------------------------- |
| [postal](#buildingname) | Retrieves the postal types.        |
| [street](#locality)     | Retrieves the street types.        |
| [streetSuffix](#postal) | Retrieves the street suffix types. |
| [unitFlat](#postcode)   | Retrieves the unit/flat types.     |

### floorLevel <a href="#address" id="address"></a>

Retrieves the list of Floor Level types available in the Source of Truth. No additional input is required.

#### Resource URL

```
    POST    https://hosted.mastersoftgroup.com/harmony/rest/{locale}/type/floorLevel
    
```

#### Request (POST)

The request body is a [MetadataRestRequest ](/loqate-harmony-api/api-specification/objects/address-objects-1.md#addressnz)object:

* The sourceOfTruth attribute is required

```json

    {
        "sourceOfTruth": "AUPAF"
    }
 
```

#### Response

The response body is an [MetadataRestResponse ](/loqate-harmony-api/api-specification/objects/address-objects-1.md#validatedaddressau)object:

```json
    
    {
        "status": "SUCCESS",
        "messages": [],
        "payload": [
            { 
                "name": "B",
                "value": "B"
            },
            {
                "name": "BASEMENT",
                "value": "B"
            },
            {
                "name": "FL",
                "value": "FL"
            },
            ...
        ]
    }
```

### postal <a href="#buildingname" id="buildingname"></a>

Retrieves the list of Postal types available in the Source of Truth. No additional input is required.

#### Resource URL

```
    POST    https://hosted.mastersoftgroup.com/harmony/rest/{locale}/type/postal
```

#### Request (POST)

The request body is a [MetadataRestRequest ](/loqate-harmony-api/api-specification/objects/address-objects-1.md#addressnz)object:

* The sourceOfTruth attribute is required

```json
    {
        "sourceOfTruth": "AUPAF"
    }
```

#### Response

The response body is a [MetadataRestResponse](/loqate-harmony-api/api-specification/objects/address-objects-1.md#validatedaddressau) object:

```json

    {
        "status": "SUCCESS",
        "messages": [],
        "payload": [
            {
                "name": "C POST OFFICE",
                "value": "CARE PO"
            },
            {
                "name": "C/ P O BOX",
                "value": "PO BOX"
            },
            {
                "name": "C/ PO BOX",
                "value": "PO BOX"
            },
            ...
        ]
    }
    
```

### street <a href="#locality" id="locality"></a>

Retrieves the list of Street types available in the Source of Truth. No additional input is required.

#### Resource URL

```
    POST   https://hosted.mastersoftgroup.com/harmony/rest/{locale}/type/street
    
```

#### Request (POST)

The request body is a [MetadataRestRequest ](/loqate-harmony-api/api-specification/objects/address-objects-1.md#addressnz)object:

* The sourceOfTruth attribute is required

```json

    {
        "sourceOfTruth": "AUPAF"
    }
```

#### Response

The response body is a [MetadataRestResponse](/loqate-harmony-api/api-specification/objects/address-objects-1.md#validatedaddressau) object:

```json

    {
        "status": "SUCCESS",
        "messages": [],
        "payload": [
            {
                "name": "ACCESS",
                "value": "ACCS"
            },
            {
                "name": "ACCS",
                "value": "ACCS"
            },
            {
                "name": "ALLEY",
                "value": "ALLY"
            },
            ...
        ]
    }
    
    
```

### streetSuffix <a href="#postal" id="postal"></a>

Retrieves the list of Street Suffix types available in the Source of Truth. No additional input is required.

#### Resource URL

```
    POST    https://hosted.mastersoftgroup.com/harmony/rest/{locale}/type/streetSuffix   
```

#### Request (POST)

The request body is a [MetadataRestRequest ](/loqate-harmony-api/api-specification/objects/address-objects-1.md#addressnz)object:

* The sourceOfTruth attribute is required

```json

    {
        "sourceOfTruth": "AUPAF"
    }
```

#### Response

The response body is a [MetadataRestResponse](/loqate-harmony-api/api-specification/objects/address-objects-1.md#validatedaddressau) object:

```json
    {
        "status": "SUCCESS",
        "messages": [],
        "payload": [
            {
                "name": "CENTRAL",
                "value": "CN"
            },
            {
                "name": "CN",
                "value": "CN"
            },
            {
                "name": "E",
                "value": "E"
            },
            ...
        ]
    }
    
    
```

### unitFlat <a href="#postcode" id="postcode"></a>

Retrieves the list of Unit/Flat types available in the Source of Truth. No additional input is required.

#### Resource URL

```
    POST    https://hosted.mastersoftgroup.com/harmony/rest/{locale}/type/unitFlat    
```

#### Request (POST)

The request body is a [MetadataRestRequest ](/loqate-harmony-api/api-specification/objects/address-objects-1.md#addressnz)object:

* The sourceOfTruth attribute is required

```json

    {
        "sourceOfTruth": "AUPAF"
    }
    
```

#### Response

The response body is a [MetadataRestResponse](/loqate-harmony-api/api-specification/objects/address-objects-1.md#validatedaddressau) object:

```json
    
    {
        "status": "SUCCESS",
        "messages": [],
        "payload": [
            {
                "name": "AMENT",
                "value": "APT"
            },
            {
                "name": "AMT",
                "value": "APT"
            },
            {
                "name": "AP",
                "value": "APT"
            },
            ...
        ]
    }
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.mastersoftgroup.com/loqate-harmony-api/api-specification/deprecated/address-v1-3.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
